{{- if .Values.controller.api.ingress.enabled }}
apiVersion: traefik.containo.us/v1alpha1
kind: IngressRouteTCP
metadata:
  name: {{ include "gemeente-riemer.fullname" . }}-controller
  labels:
    {{- include "gemeente-riemer.labels" . | nindent 4 }}
spec:
  entryPoints:
    - websecure
  routes:
    - match: HostSNI(`{{ .Values.controller.api.ingress.host }}`)
      services:
        - name: gemeente-riemer-fsc-nlx-controller
          port: api
  tls:
    passthrough: true
{{- end }}
